Bug 241205 - Intel experimental video driver TV out
Intel experimental video driver TV out
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 09:02 EDT by Jeff Guerdat
Modified: 2008-05-06 21:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
conf using Intel driver with screwy results (3.23 KB, application/x-extension-conf)
2007-05-24 09:02 EDT, Jeff Guerdat
no flags Details
working i810 conf (4.34 KB, application/octet-stream)
2007-05-24 09:04 EDT, Jeff Guerdat
no flags Details
log file when TV is connected (48.64 KB, text/plain)
2007-05-24 09:07 EDT, Jeff Guerdat
no flags Details
X setup log (1.65 KB, text/plain)
2007-05-31 06:56 EDT, Jeff Guerdat
no flags Details

  None (edit)
Description Jeff Guerdat 2007-05-24 09:02:17 EDT
Description of problem:
Fresh install of F7T4.  I switched from the i810 driver to the Intel
experimental mode-setting driver to fix suspend problems with the i810 driver on
a Toshiba Satellite A105 laptop.  Using the i810 driver I could set up the
internal LCD panel as well as the TV out using separate desktops and different
resolutions.  The Intel driver seems to be ignoring xorg.conf options, what's
reported for modelines for the TV, and does what it pleases to the display.

When the TV is attached, I see a cloned output but at 1024x768 (I want 640x480)
and the LCD is showing a weird 1024x768 display, with the Gnome toolbars
shortened but with a full-sized desktop.  The log indicates that it isn't using
the modelines that it provided me.  Pipe A is connected to the TV, pipe B is
connected to the LCD.

Attaching current xorg.conf, working i810 conf (named xorg.conf.dual) and
current Xorg.0.log.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set xorg.conf to use Intel driver
2.connect TV
3.start X
  
Actual results:
cloned output on TV at 1024x768, incorrect display on LCD

Expected results:
separate desktop on TV at 640x480, 1280x800 on LCD

Additional info:
Comment 1 Jeff Guerdat 2007-05-24 09:02:17 EDT
Created attachment 155337 [details]
conf using Intel driver with screwy results
Comment 2 Jeff Guerdat 2007-05-24 09:04:12 EDT
Created attachment 155339 [details]
working i810 conf

Attaching old, working i810 xorg.conf (named xorg.conf.dual)
Comment 3 Jeff Guerdat 2007-05-24 09:07:39 EDT
Created attachment 155340 [details]
log file when TV is connected

Attaching Xorg.0.log for bad display on TV and LCD
Comment 4 Jeff Guerdat 2007-05-31 06:56:49 EDT
Created attachment 155793 [details]
X setup log
Comment 5 Jeff Guerdat 2007-05-31 06:59:02 EDT
It wasn't explained what you needed for NEEDINFO so I attached the Xorg.setup.log.
Comment 6 Bug Zapper 2008-04-03 20:53:35 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:48:33 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.